package component

// Component 具体组件的接口.
type Component interface {
	// Init 初始化组件时调用.
	Init()

	// AfterInit 初始化组件后调用.
	AfterInit()

	// BeforeShutdown 组件被停止前调用.
	BeforeShutdown()

	// Shutdown 停止组件时调用.
	Shutdown()
}
